#!/usr/bin/env bash
set -e

echo "Building keymap"
docker build .

if [ -d out ]; then
  echo "Removing old keymap files"
  rm -rf out
fi

mkdir -p out

echo "Copying keymap files out of docker"
docker run -it \
  --mount type=bind,source="$(pwd)/out",target=/out \
  $(docker build . -q) \
  bash -c 'cp ./out/* /out/'

if [ "$(cat /etc/hostname)" = "melete" ]; then
  echo "Copying keymap files to thelxinoe"
  ssh thelxinoe "mkdir -p ~/Downloads/corne_firmware && rm ~/Downloads/corne_firmware/*"
  scp out/* thelxinoe:~/Downloads/corne_firmware/
fi
